@charset "utf-8";

/* CSS Document */

/***********
mainVisual
************/

.mainVisual {
  position: relative;
  --mv-ratio: 1900 / 950;
  z-index: 9;
}

.mainVisual-bg {
}
.mainVisual-bg img {
  width: 100%;
  max-width: 100%;
}

/*
visual
*/

.mainVisual-visual {
  width: 97.34%;
  aspect-ratio: var(--mv-ratio);
  -webkit-mask: url(../../img/mv_mask.png);
  mask: url(../../img/mv_mask.png);
  -webkit-mask-size: 100% 100%;
  mask-size: 100% 100%;
  overflow: hidden;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 9;
  background: linear-gradient(45deg, #2ca2fe 0%, #1e3cc7 100%);
}
.mainVisual-visual::after {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  background: rgba(0, 0, 0, 0.15);
}
body.is-loaded .mainVisual-visual {
  opacity: 1;
  transition: 0.5s ease 0s;
}


/*
slider
*/

.mainVisual-slider{
  opacity: 0;
  transition: all 2s ease 0.1s;
}
body.is-loaded .mainVisual-slider{
  opacity: 1;
}
.mainVisual-slider :not(.slick-dots) li{
  position: relative;
  width: 100%;
  aspect-ratio: var(--mv-ratio);
}
.mainVisual-img{
  width: 100%;
  aspect-ratio: var(--mv-ratio);
  background-position: center center;
  background-size: cover;
  position: absolute;
  left: 0;
  top: 0;
}
.mainVisual-img > img {
  width: 100%;
  aspect-ratio: var(--mv-ratio);
  object-fit: cover;
}

.mainVisual-img.-zoom{
  transform-origin: center center;
}
.slick-animation .mainVisual-img.-zoom{
  animation: amin-mainVisual-zoom 10s linear forwards;
}
.mainVisual-img.-left{
  width: 110%;
  transform-origin: left center;
}
.slick-animation .mainVisual-img.-left{
  animation: amin-mainVisual-left 10s linear forwards;
}
.mainVisual-img.-right{
  width: 110%;
  transform-origin: right center;
}
.slick-animation .mainVisual-img.-right{
  animation: amin-mainVisual-right 10s linear forwards;
}
.mainVisual-img.-up{
  height: 110svh;
}
.slick-animation .mainVisual-img.-up{
  animation: amin-mainVisual-up 10s linear forwards;
}
.mainVisual-img.-down{
  height: 110svh;
}
.slick-animation .mainVisual-img.-down{
  animation: amin-mainVisual-down 10s linear forwards;
}

@keyframes amin-mainVisual-zoom {
  0% {
    scale: 1;
  }
  100% {
    scale: 1.1;
  }
}
@keyframes amin-mainVisual-left {
  0% {
    translate: 0 0;
  }
  100% {
    translate: -5% 0;
  }
}
@keyframes amin-mainVisual-right {
  0% {
    translate: -5% 0;
  }
  100% {
    translate: 0 0;
  }
}
@keyframes amin-mainVisual-up {
  0% {
    translate: 0 0;
  }
  100% {
    translate: 0 -5%;
  }
}
@keyframes amin-mainVisual-down {
  0% {
    translate: 0 -5%;
  }
  100% {
    translate: 0 0;
  }
}


/*
dots
*/

.mainVisual-control {
  position: absolute;
  left: 0;
  top: calc(100svh - 30px);
  width: 100%;
  z-index: 19;
}
.mainVisual-control-inner {
  max-width: 1260px;
  padding-inline: var(--padding-side);
  margin: 0 auto;
}
.mainVisual-dots {
  display: flex;
  justify-content: end;
}
.mainVisual-dots .slick-dots {
  display: flex;
  justify-content: end;
}
.mainVisual-dots .slick-dots li {
  padding-left: 4%;
}
.mainVisual-dots .slick-dots li button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background: none;
  border: none;
  box-shadow: none;
  border-radius: 0;
  text-indent: -9999vw;
  width: 45px;
  height: 3px;
  opacity: 0.5;
  background-color: var(--color-sub04);
  cursor: pointer;
}
.mainVisual-dots .slick-dots li.slick-active button {
  opacity: 1;
  background-color: var(--color-base);
}

/*
scroll
*/

.mainVisual-scroll {
  position: absolute;
  right: 3vw;
  top: calc(100svh - 11vw - 80px);
  z-index: 29;
}
.mainVisual-scroll a {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  width: 11vw;
  height: 11vw;
  border: 1px solid rgba(255, 255, 255, 0.7);
  border-radius: 50%;
  text-decoration: none;
  color: var(--color-base);
}
.mainVisual-scroll-icon {
  width: 18%;
  margin: 2% auto 4%;
}
.mainVisual-scroll-icon img {
}
.mainVisual-scroll-text {
  font-family: var(--font-family-gothic-en);
  font-weight: 500;
  font-size: 0.95vw;
}
body.is-pc .mainVisual-scroll a:hover {
  border-color: #fff;
  box-shadow: 0 0 2vw rgba(255, 255, 255, 0.1);
}
body.is-pc .mainVisual-scroll a:hover .mainVisual-scroll-icon img {
  animation: anim-mainVisual-arrow 0.5s ease-in-out;
}

@keyframes anim-mainVisual-arrow {
  0% {
    transform: translateY(0);
    opacity: 1;
  }
  40% {
    transform: translateY(20%);
    opacity: 0;
  }
  50% {
    transform: translateY(-20%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}


/*
container
*/

.mainVisual-container {
  position: absolute;
  left: 0;
  bottom: 20vw;
  z-index: 99;
  left: 4vw;
  font-size: clamp(30px,2.2vw, 50px);
  white-space: nowrap;
  user-select: none;
}
.mainVisual-block {
  font-size: 100%;
}
.mainVisual-text {
  color: var(--color-base);
  font-weight: 700;
  padding: 0 0 0.2em 0.6em;
  opacity: 0;
}
.mainVisual-lead {
  display: inline-block;
  background-color: var(--color-base);
  border-radius: 6px;
  font-size: 150%;
  font-weight: 700;
  line-height: 1.4;
  opacity: 0;
}
body.is-loaded .mainVisual-text ,
body.is-loaded .mainVisual-lead {
  opacity: 1;
  transition: opacity 1s ease 1s;
}

.mainVisual-text-item {
  clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0 100%);
}
.mainVisual-text-item span {
  display: inline-block;
  translate: 0 100%;
  opacity: 0;
  scale: 1 0.4;
}
body.is-loaded .mainVisual-text-item span {
  translate: 0 0;
  opacity: 1;
  scale: 1 1;
  transition: translate ease 1s , opacity ease 1s , scale ease 1s;
}

.mainVisual-lead-item {
  clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0 100%);
  padding: 0 0.4em 0.1em;
}
.mainVisual-lead-item span {
  display: inline-block;
  translate: 0 100%;
  opacity: 0;
  scale: 1 0.4;
}
body.is-loaded .mainVisual-lead-item span {
  translate: 0 0;
  opacity: 1;
  scale: 1 1;
  transition: translate ease 1s , opacity ease 1s , scale ease 1s;
}

@media screen and (max-width:1560px) {

  /*
  dots
  */

  .mainVisual-control {
    top: auto;
    bottom: 30px;
  }

  /*
  scroll
  */

  .mainVisual-scroll {
    right: 3vw;
    top: auto;
    bottom: 90px;
    z-index: 29;
  }

}



@media screen and (max-width:1024px) {


  .mainVisual {
    position: relative;
    --mv-ratio: 1900 / 1050;
    z-index: 9;
  }

  /*
  container
  */

  .mainVisual-container {
    font-size: clamp(20px,3vw, 30px);
  }

}



@media screen and (max-width:640px) {

  .mainVisual {
    --mv-ratio: 800 / 1100;
  }

  /*
  visual
  */

  .mainVisual-visual {
    width: 100%;
    --mv-ratio: 800 / 1000;
    -webkit-mask: url(../../img/mv_mask_sp.png);
    mask: url(../../img/mv_mask_sp.png);
    -webkit-mask-size: 100% 100%;
    mask-size: 100% 100%;
    overflow: hidden;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 9;
    background: linear-gradient(45deg, #2ca2fe 0%, #1e3cc7 100%);
  }

  /*
  slider
  */


  @keyframes amin-mainVisual-zoom {
    0% {
      scale: 1;
    }
    100% {
      scale: 1.2;
    }
  }
  @keyframes amin-mainVisual-left {
    0% {
      translate: 0 0;
    }
    100% {
      translate: -5% 0;
    }
  }
  @keyframes amin-mainVisual-right {
    0% {
      translate: -5% 0;
    }
    100% {
      translate: 0 0;
    }
  }
  @keyframes amin-mainVisual-up {
    0% {
      translate: 0 0;
    }
    100% {
      translate: 0 -5%;
    }
  }
  @keyframes amin-mainVisual-down {
    0% {
      translate: 0 -5%;
    }
    100% {
      translate: 0 0;
    }
  }


  /*
  dots
  */

  .mainVisual-dots {
    width: 100%;
  }
  .mainVisual-dots .slick-dots {
    width: 100%;
    justify-content: center;
  }
  .mainVisual-dots .slick-dots li {
    padding-inline: 2px;
  }
  .mainVisual-dots .slick-dots li button {
    width: 35px;
    height: 2px;
  }

  /*
  scroll
  */

  .mainVisual-scroll {
    display: none;
  }

  /*
  container
  */

  .mainVisual-container {
    position: absolute;
    left: 0;
    bottom: 30vw;
    z-index: 99;
    left: 4vw;
    font-size: clamp(16px,4.8vw, 24px);
  }

}

/***********
about
************/

.about {
  padding-top: min(12vw,15em) ;
  padding-bottom: 250px;
  font-size: clamp(1rem,1.1vw, 2rem);
  position: relative;
  background: url(../../img/bg01.png) no-repeat center bottom / max(100%,1280px) auto;
}

.about-wave {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  pointer-events: none;
}
.about-wave svg {
  width: 100%;
  height: 350px;
}

.about-whirl {
  width: 40vw;
  height: 40vw;
  position: absolute;
  right: 0;
  top: 0;
  opacity: 0.12;
  translate: 10% -10%;
}
.about-whirl::before,
.about-whirl::after {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  background: url(../../img/whirl01.png) no-repeat 0 0 / 100% 100%;
  position: absolute;
  left: 0;
  top: 0;
}
.about-whirl::before{
  animation: anim-about-spin 30s linear infinite;
}
.about-whirl::after{
  animation: anim-about-spin 30s linear infinite -15s;
}

@keyframes anim-about-spin {
  0% {
    opacity: 0;
    transform: rotate(0deg) scale(1);
  }
  20% {
    opacity: 1;
  }
  100% {
    transform: rotate(-360deg) scale(0.3);
    opacity: 0;
  }
}


.about-wrapper {
  position: relative;
  z-index: 9;
  padding-inline: 3vw;
}

.about-heading {
  display: flex;
  align-items: end;
  padding-bottom: 4em;
  gap: 0 7%;
}
.about-heading-subTitle {
  font-size: 550%;
  font-family: var(--font-family-gothic-en);
  font-weight: 600;
  color: var(--color-dark01);
  line-height: 1;
  white-space: nowrap;
  width: 45%;
  padding-left: 0.5em;
  text-align: center;
}
.about-heading-inner {
  flex: 1;
}
.about-heading-title {
  font-size: 220%;
  line-height: 1.35;
}

.about-container {
  position: relative;
  display: flex;
  flex-direction: row-reverse;
  align-items: start;
  gap: 0 7%;
}

.about-inner {
  flex: 1;
  padding-bottom: 7em;
}
.about-text {
  line-height: 2;
  max-width: 35em;
  font-weight: 500;
}
.about-visual {
  width: 45%;
}
.about-gallery {
  display: flex;
  justify-content: end;
  margin-top: -5em;
}
.about-gallery-img {
}
.about-gallery-img.-no01 {
  width: 20%;
}
.about-gallery-img.-no02 {
  width: 30%;
  margin-left: 1%;
}


.about-ticker {
  width: 100vw;
  height: clamp(70px,7.5vw, 300px);
  margin-top: min(7vw,3em);
}
.about-ticker-slider {
  white-space: nowrap;
  display: flex;
}
.about-ticker-item {
}
.about-ticker-item img {
  width: auto;
  height: clamp(70px,7.5vw, 300px);
}

@media screen and (max-width:834px) {

  .about {
    padding-top: min(12vw,15em) ;
    padding-bottom: calc(250px / 2);
    font-size: 1rem;
  }

  .about-wave {
    scale: 1 0.5;
    transform-origin: bottom;
  }

  .about-whirl {
    width: clamp(300px,100vw, 600px);
    height: clamp(300px,100vw, 600px);
    opacity: 0.12;
    translate: 20% -30%;
  }

  .about-wrapper {
    padding-inline: 3vw;
  }

  .about-heading {
    display: block;
    padding-bottom: 2em;
  }
  .about-heading-subTitle {
    font-size: 4em;
    width: auto;
    padding-left: 0;
    text-align: left;
  }
  .about-heading-inner {
    flex: 1;
  }
  .about-heading-title {
    font-size: 1.5rem;
  }

  .about-container {
    display: block;
  }

  .about-inner {
    padding-bottom: 3em;
  }
  .about-text {
    line-height: 1.8;
    max-width: initial;
    font-weight: 400;
  }
  .about-visual {
    width: auto;
    padding-left: 6vw;
    margin-right: -6vw;
  }
  .about-gallery {
    display: flex;
    justify-content: start;
    margin-top: 0;
    margin-left: -4vw;
  }
  .about-gallery-img {
  }
  .about-gallery-img.-no01 {
    width: 40%;
    margin-top: -4em;
  }
  .about-gallery-img.-no02 {
    width: 56%;
    margin-left: 4%;
    margin-top: 3em;
  }


  .about-ticker {
    height: clamp(40px,15vw, 100px);
    margin-top: min(4vw,1em);
  }
  .about-ticker-slider {
    white-space: nowrap;
    display: flex;
  }
  .about-ticker-item {
  }
  .about-ticker-item img {
    height: clamp(40px,15vw, 100px);
  }

}



/***********
homeSearch
************/

.homeSearch {
}
.homeSearch .l-find {
  padding-top: 2em;
}
.homeSearch .l-find::before {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  background: linear-gradient(to bottom, var(--color-brand01) 0%, transparent 200px);
  z-index: 3;
}

@media screen and (max-width:640px) {

  .homeSearch .l-find {
    padding-top: 0;
  }
}

/***********
homeEnd
************/

.homeEnd {
  background: url(../../img/bg04.jpg) no-repeat center top / cover;
  aspect-ratio: 16 / 7;
  -webkit-mask: linear-gradient(to bottom, transparent 0%, #000 20vw);
  mask: linear-gradient(to bottom, transparent 0%, #000 40vw);
  -webkit-mask-size: 100% 100%;
  mask-size: 100% 100%;
  overflow: hidden;
  position: relative;
}

@media screen and (max-width:640px) {

  .homeEnd {
    aspect-ratio: 1 / 1;
  }

}

/***********
xxxxx
************/


/***********
xxxxx
************/

/***********
xxxxx
************/

/***********
xxxxx
************/

/***********
xxxxx
************/
